Log in Sign up
Conflict 1.0 to Warchest 1.6 upgrade
Conflict 1.0 to Warchest 1.6 upgrade
Conflict 1.0 to Warchest 1.6 upgrade

Conflict 1.0 to Warchest 1.6 upgrade

This upgrades your The Edge Dawnfall 1.0 Conflict Box to The Edge Dawnfall 1.6 Warchest. READ DESCRIPTION BEFORE ADDING TO CART!
5.00
kg
£95.00

Product description


Important: This is a product for returning backers!
If you don't have a Conflict box from The Edge Dawnfall 1.0 look in the "Pledges" Section of this Pledge Manager


This set upgrades your The Edge Dawnfall 1.0 Conflict Box into a The Edge Dawnfall 1.6 Warchest

How to:
  • Choose three factions you don't have in your TED1.0 Conflict box
  • Choose two campaign books you don't have in your TED1.0 Conflict box
  • Choose your language version

What do you get?
  • Three chosen factions
  • Two campaign books
  • All stretch goals related to three chosen factions from TED 1.0
  • All new unlocked stretch goals from TED1.6

If you have any questions - contact us

More info

 

Reviews

Message

Operation successfully completed.

Could not complete operation.

Confirm

Could not complete operation.